# Uses of Interface
org.eclipse.ui.views.framelist.IFrameSource

Packages that use IFrameSource
Package
Description
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of IFrameSource in org.eclipse.ui.views.framelist

Classes in org.eclipse.ui.views.framelist that implement IFrameSource
Modifier and Type
Class
Description
`class`
`TreeViewerFrameSource`
Frame source for tree viewers, which uses `TreeFrame` to capture the state of the tree viewer.
Methods in org.eclipse.ui.views.framelist that return IFrameSource
Modifier and Type
Method
Description
`IFrameSource`
FrameList.`getSource()`
Returns the frame source.
Constructors in org.eclipse.ui.views.framelist with parameters of type IFrameSource
Modifier
Constructor
Description
``
`FrameList(IFrameSource source)`
Creates a new frame list with the given source.

## Uses of IFrameSource in org.eclipse.ui.views.navigator

Classes in org.eclipse.ui.views.navigator that implement IFrameSource
Modifier and Type
Class
Description
`class`
`NavigatorFrameSource`
Deprecated, for removal: This API element is subject to removal in a future version.
as of 3.5, use the Common Navigator Framework classes instead